## org.hibernate.engine.transaction
Class SynchronizationRegistry

    java.lang.Object
      org.hibernate.engine.transaction.SynchronizationRegistry

    public class SynchronizationRegistry

extends Object

Manages a registry of `Synchronizations`.

Author:
  Steve Ebersole

Constructor Summary
`SynchronizationRegistry()`

Method Summary
`void` `notifySynchronizationsAfterTransactionCompletion(int status)` Delegate `Synchronization.afterCompletion(int)` calls to `registered` `Synchronizations`
`void` `notifySynchronizationsBeforeTransactionCompletion()` Delegate `Synchronization.beforeCompletion()` calls to `registered` `Synchronizations`
`void` `registerSynchronization(Synchronization synchronization)` Register a user `Synchronization` callback for this transaction.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SynchronizationRegistry

    public SynchronizationRegistry()

Method Detail

### registerSynchronization

    public void registerSynchronization(Synchronization synchronization)

  Register a user `Synchronization` callback for this transaction.

  Parameters:
    `synchronization` - The synchronization callback to register.
  Throws:
    `HibernateException`

### notifySynchronizationsBeforeTransactionCompletion

    public void notifySynchronizationsBeforeTransactionCompletion()

  Delegate `Synchronization.beforeCompletion()` calls to `registered` `Synchronizations`

### notifySynchronizationsAfterTransactionCompletion

    public void notifySynchronizationsAfterTransactionCompletion(int status)

  Delegate `Synchronization.afterCompletion(int)` calls to `registered` `Synchronizations`

  Parameters:
    `status` - The transaction status (if known) per `Status`

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.